#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	freetype
Version		:	2.12.1
Release		:	14.4.0.0%{?dist}
Summary		:	A free and portable font rendering engine
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://www.freetype.org
			#https://download.savannah.gnu.org/releases/freetype/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-doc-%{version}.tar.xz
Source2		:	ft2demos-%{version}.tar.xz
Patch2		:	%{name}-%{version}-more-demos.patch
#-----------------------------------------------------------------------------
BuildRequires	:	brotli-devel
BuildRequires	:	bzip2
BuildRequires	:	gcc
BuildRequires	:	libpng
BuildRequires	:	zlib-devel
#-----------------------------------------------------------------------------
%description
The FreeType engine is a free and portable font rendering
engine, developed to provide advanced font support for a variety of
platforms and environments. FreeType is a library which can open and
manages font files as well as efficiently load, hint and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_libdir}/lib%{name}.so.*


#=============================================================================
%package		devel
Summary		:	FreeType development libraries and header files

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The freetype-devel package includes the static libraries and header files
for the FreeType font rendering engine.
 
Install freetype-devel if you want to develop programs which will use
FreeType.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc docs/CHANGES docs/formats.txt docs/ft2faq.html
%{_includedir}/%{name}2/*.h
%{_includedir}/%{name}2/%{name}/*.h
%{_includedir}/%{name}2/%{name}/config/*.h
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}2.pc
%{_datadir}/aclocal/%{name}2.m4
%{_mandir}/man1/%{name}-config.1.gz

#=============================================================================
%package		demos
Summary		:	A collection of FreeType demos

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		demos
The FreeType engine is a free and portable font rendering
engine, developed to provide advanced font support for a variety of
platforms and environments.  The demos package includes a set of useful
small utilities showing various capabilities of the FreeType library.

#-----------------------------------------------------------------------------
%files			demos
%defattr(-,root,root,-)
%{_bindir}/ftbench
%{_bindir}/ftchkwd
%{_bindir}/ftmemchk
%{_bindir}/ftpatchk
%{_bindir}/fttimer
%{_bindir}/ftdump
%{_bindir}/ftlint
%{_bindir}/ftvalid
%{_mandir}/man1/ftbench.1.gz
%{_mandir}/man1/ftdump.1.gz
%{_mandir}/man1/ftlint.1.gz
%{_mandir}/man1/ftvalid.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -b 1 -a 2
pushd ft2demos-%{version}
%patch2  -p1 -b .more-demos
popd

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-zlib=yes 				\
	--with-bzip2=yes				\
	--enable-freetype-config			\
	--with-harfbuzz=no				\
	--with-brotli=yes				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

pushd ft2demos-%{version}
%{__make}						\
	TOP_DIR=".."
popd

# Convert FTL.txt and example3.cpp to UTF-8
pushd docs
iconv -f latin1 -t utf-8 < FTL.TXT > FTL.TXT.tmp && \
touch -r FTL.TXT FTL.TXT.tmp && \
mv FTL.TXT.tmp FTL.TXT
iconv -f iso-8859-1 -t utf-8 				\
	< "tutorial/example3.cpp"			\
	> "tutorial/example3.cpp.utf8"
touch -r						\
	 tutorial/example3.cpp				\
	 tutorial/example3.cpp.utf8

mv	tutorial/example3.cpp.utf8			\
	tutorial/example3.cpp
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#freetype-demos binaries
{
for ftdemo in	ftbench ftchkwd ftmemchk ftpatchk	\
		fttimer ftdump ftlint ftvalid
  do
  builds/unix/libtool					\
    --mode=install					\
   install -m 755 ft2demos-%{version}/bin/$ftdemo	\
 	 %{buildroot}/%{_bindir}
  done
}

# man pages for freetype-demos
{
for ftdemo in ftbench ftdump ftlint ftvalid
  do
  builds/unix/libtool					\
    --mode=install					\
    install -m 644 ft2demos-%{version}/man/${ftdemo}.1	\
	%{buildroot}%{_mandir}/man1
  done
}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
